HomePhabricator

build: Updating dependencies

Description

build: Updating dependencies

composer:

  • mediawiki/mediawiki-codesniffer: 24.0.0 → 35.0.0 The following sniffs are failing and were disabled:
    • MediaWiki.Commenting.FunctionComment.WrongStyle
    • MediaWiki.Commenting.PropertyDocumentation.MissingDocumentationPrivate
  • mediawiki/minus-x: 0.3.1 → 1.1.1

npm:

  • grunt: 1.0.3 → 1.3.0
  • grunt-banana-checker: 0.6.0 → 0.9.0

Additional changes:

  • Replaced "jakub-onderka" packages with "php-parallel-lint".
  • Committed package-lock.json (T179229) too.
  • Dropped .php5 and .inc files from .phpcs.xml (T200956).
  • Enable eslint caching.

Change-Id: I22bb20839c93f7ba0ba58f221770c717a1de02e6

Details

Provenance
LibUp-botAuthored on Apr 6 2021, 3:31 PM
Parents
rEBKJ66e3ff148128: Localisation updates from https://translatewiki.net.
Branches
Unknown
Tags
Unknown
References
refs/changes/33/677333/1
ChangeId
I22bb20839c93f7ba0ba58f221770c717a1de02e6